# This module is part of the Lupy project and is Copyright 2003 Amir
# Bakhtiar (amir@divmod.org). This is free software; you can redistribute
# it and/or modify it under the terms of version 2.1 of the GNU Lesser
# General Public License as published by the Free Software Foundation.

from pyndex.bayes import Bayes
import metakit as mk
import os

indexName = 'bayes.mk'

if os.path.exists(indexName):
    # Remove results of previous runs
    os.remove(indexName)

db = mk.storage(indexName,1)
b = Bayes(db)

gl = ['you rock dude',
'man you are the coolest',
'you should get together and have some real fun',
'I hope you have a really great birthday']

bl = ['kinky farm rock sex'
,'buy some more stuff immediately'
,'send your money we want your money'
,'give some really money for real sex'
,'can you see the way the war going']

for s in bl:
    b.train('spam', s)
for s in gl:
    b.train('clean', s)
q = 'time for you to send us some money for sex'
print b.guess(q)

